| hscolour | Source code | Contents | Index

Language.Haskell.HsColour.Classify

Synopsis

data TokenType

= Space
| Keyword
| Keyglyph
| Layout
| Comment
| Conid
| Varid
| Conop
| Varop
| String
| Char
| Number
| Cpp
| Error
| Definition

tokenise :: String -> [(TokenType, String)]

Documentation

data TokenType | Source

Classification of tokens as lexical entities
Constructors

Space |
Keyword |
Keyglyph |
Layout |
Comment |
Conid |
Varid |
Conop |
Varop |
String |
Char |
Number |
Cpp |
Error |
Definition |

Instances

Eq TokenType
Show TokenType

tokenise :: String -> [(TokenType, String)] | Source

Lex Haskell source code into an annotated token stream, without discarding any characters or layout.
Produced by Haddock version 0.8